Bug 1294547 - The --xml flag should always output xml
The --xml flag should always output xml
Status: NEW
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: Reopened, Triaged
Depends On: 1295762
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 18:32 EST by Joe Julian
Modified: 2017-03-08 09:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295762 (view as bug list)
Environment:
Last Closed: 2017-03-08 05:48:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2015-12-28 18:32:15 EST
The output of the cli with the --xml flag is inconsistent. Every cli command should output xml if that flag is set.

At the very minimum, a valid xml message could just be the string output wrapped in xml, ie.:

# gluster --xml --version
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <opRet>0</opRet>
  <opRetStr>glusterfs 3.7.6 built on Dec 11 2015 22:26:22
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.</opRetStr>
</cliOutput>

This would allow an application to rely on sane input that can always be dom processed.
Comment 1 Kaushal 2017-03-08 05:48:49 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.